Groovy 1.7.0

## org.codehaus.groovy.util
Class WeakRef

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.WeakReference
              org.codehaus.groovy.util.WeakRef

All Implemented Interfaces:
  PhantomReference

    class WeakRef
    extends WeakReference

Constructor Summary
`WeakRef(TT referent, V handler, ReferenceQueue q)`

Method Summary
`V` | `getHandler()`

Methods inherited from class WeakReference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Reference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### WeakRef

    public WeakRef(TT referent, V handler, ReferenceQueue q)

Method Detail

### getHandler

    public V getHandler()

Copyright © 2003-2009 The Codehaus. All rights reserved.